package com.glxp.udidl.admin.req.collect;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.glxp.udidl.admin.req.ListPageRequest;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
public class ThirdAliDrugRequest extends ListPageRequest {

    @TableId(value = "id", type = IdType.AUTO)
    @ApiModelProperty(value = "")
    private Integer id;

    /**
     * 药品类型
     */
    @TableField(value = "`type`")
    @ApiModelProperty(value = "药品类型")
    private String type;

    /**
     * 生产企业
     */
    @TableField(value = "manufacturer")
    @ApiModelProperty(value = "生产企业")
    private String manufacturer;

    /**
     * 产品名称通用名称
     */
    @TableField(value = "cpmctymc")
    @ApiModelProperty(value = "产品名称通用名称")
    private String cpmctymc;

    /**
     * 剂型
     */
    @TableField(value = "form")
    @ApiModelProperty(value = "剂型")
    private String form;

    /**
     * 剂型规格
     */
    @TableField(value = "formSpec")
    @ApiModelProperty(value = "剂型规格")
    private String formSpec;

    /**
     * 包装规格
     */
    @TableField(value = "bzgg")
    @ApiModelProperty(value = "包装规格")
    private String bzgg;

    /**
     * 商品名称
     */
    @TableField(value = "spmc")
    @ApiModelProperty(value = "商品名称")
    private String spmc;

    /**
     * 层级标识
     */
    @TableField(value = "nameCode")
    @ApiModelProperty(value = "层级标识")
    private String nameCode;

    /**
     * 包装比例
     */
    @TableField(value = "packRatio")
    @ApiModelProperty(value = "包装比例")
    private String packRatio;

    /**
     * 包装级别
     */
    @TableField(value = "packLevel")
    @ApiModelProperty(value = "包装级别")
    private String packLevel;
    /**
     * 包装级别
     */
    @TableField(value = "erpId")
    @ApiModelProperty(value = "包装级别")
    private String erpId;

    /**
     * 创建时间
     */
    @TableField(value = "createTime")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    /**
     * 更新时间
     */
    @TableField(value = "updateTime")
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;


    private String approvalNum;
    private List<String> nameCodeIn;

}
