package com.glxp.udidl.admin.res.chs;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.glxp.udidl.admin.entity.collect.ThirdAliDrug;
import lombok.Data;

import java.util.Date;

@Data
@TableName(value = "code_rel")
public class CodeRelVo {


    @TableId(type = IdType.AUTO)
    public Integer id;

    /**
    * 器械最小销售产品标识
    */
    @TableField(value = "diNameCode")
    public String diNameCode;

    /**
    * 阿里药品标识码
    */
    @TableField(value = "drugCode")
    public String drugCode;

    /**
    * 医保编码
    */
    @TableField(value = "ybbm")
    public String ybbm;

    /**
    * 阳光采购平台编码
    */
    @TableField(value = "ycCode")
    public String ycCode;

    /**
    * 商品条码
    */
    @TableField(value = "sptm")
    public String sptm;

    /**
    * 药品本位码
    */
    @TableField(value = "ypbwm")
    public String ypbwm;

    /**
    * 统一社会信用号
    */
    @TableField(value = "tyshxyh")
    public String tyshxyh;

    /**
    * 国家编码9码
    */
    @TableField(value = "gjbm")
    public String gjbm;

    @TableField(value = "status")
    public String status;

    @TableField(value = "updateTime")
    public Date updateTime;

    @TableField(value = "createTime")
    public Date createTime;

    @TableField(value = "fromType")
    public Integer fromType;

    private ThirdAliDrug thirdAliDrug;

}