package com.glxp.udidl.admin.res.chs;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@NoArgsConstructor
@Data
public class YbHcflResponse {

    @JsonProperty("records")
    private Integer records;
    @JsonProperty("total")
    private Integer total;
    @JsonProperty("rows")
    private List<RowsDTO> rows;
    @JsonProperty("page")
    private Integer page;
    @JsonProperty("count")
    private Integer count;
    @JsonProperty("firstResult")
    private Integer firstResult;
    @JsonProperty("maxResults")
    private Integer maxResults;
    @JsonProperty("success")
    private Boolean success;
    @JsonProperty("result")
    private String result;
    @JsonProperty("conditions")
    private ConditionsDTO conditions;
    @JsonProperty("msg")
    private String msg;
    @JsonProperty("form")
    private String form;
    @JsonProperty("code")
    private Integer code;
    @JsonProperty("operCount")
    private Integer operCount;
    @JsonProperty("sord")
    private String sord;
    @JsonProperty("sidx")
    private String sidx;
    @JsonProperty("orderby")
    private String orderby;

    @NoArgsConstructor
    @Data
    public static class ConditionsDTO {
        @JsonProperty("orderColumn")
        private Integer orderColumn;
    }

    @NoArgsConstructor
    @Data
    public static class RowsDTO {
        @JsonProperty("specificationId")
        private String specificationId;
        @JsonProperty("specificationCode")
        private String specificationCode;
        @JsonProperty("catalogcode")
        private String catalogcode;
        @JsonProperty("catalogname1")
        private String catalogname1;
        @JsonProperty("catalogname2")
        private String catalogname2;
        @JsonProperty("catalogname3")
        private String catalogname3;
        @JsonProperty("commonnamecode")
        private String commonnamecode;
        @JsonProperty("commonname")
        private String commonname;
        @JsonProperty("matrialcode")
        private String matrialcode;
        @JsonProperty("matrial")
        private String matrial;
        @JsonProperty("characteristiccode")
        private String characteristiccode;
        @JsonProperty("characteristic")
        private String characteristic;
        @JsonProperty("separateCharges")
        private String separateCharges;
        @JsonProperty("paymentType")
        private String paymentType;
        @JsonProperty("paymentStandard")
        private String paymentStandard;
        @JsonProperty("isusing")
        private Integer isusing;
        @JsonProperty("specificationType")
        private String specificationType;
        @JsonProperty("productStatusS")
        private String productStatusS;
        @JsonProperty("productCount")
        private String productCount;
        @JsonProperty("compCount")
        private String compCount;
        @JsonProperty("regCount")
        private String regCount;
        @JsonProperty("goodsCount")
        private String goodsCount;
    }
}
